package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;
import java.util.Map;

public class SourceType extends BaseEntity {
    private static final long serialVersionUID = 1L;
    //数据源类型ID
    private Integer id;

    @Override
    public String toString() {
        return "SourceType{" +
                "id=" + id +
                ", name='" + name + '\'' +
                '}';
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public SourceType(BaseEntityBuilder<?, ?> b, Integer id, String name) {
        super(b);
        this.id = id;
        this.name = name;
    }

    public SourceType(Integer id, String name) {
        this.id = id;
        this.name = name;
    }

    public SourceType(String searchValue, String createBy, Date createTime, String updateBy, Date updateTime, String remark, Map<String, Object> params, Integer id, String name) {
        super(searchValue, createBy, createTime, updateBy, updateTime, remark, params);
        this.id = id;
        this.name = name;
    }

    //数据源类型名称
    private String name;
}
