package com.muyu.domain.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @ClassName AssetImpowerReq
 * @Description 描述
 * @Author SaiSai.Liu
 * @Date 2024/4/29 14:04
 */

public class AssetImpowerReq {
    private static final long serialVersionUID = 1L;


    /**
     * 主键
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /**
     * 表id
     */
    @Excel(name = "表id")
    private Long tableId;

    @Override
    public String toString() {
        return "AssetImpowerReq{" +
                "id=" + id +
                ", tableId=" + tableId +
                ", basicId=" + basicId +
                ", deptId=" + deptId +
                ", userId=" + userId +
                '}';
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getTableId() {
        return tableId;
    }

    public void setTableId(Long tableId) {
        this.tableId = tableId;
    }

    public Long getBasicId() {
        return basicId;
    }

    public void setBasicId(Long basicId) {
        this.basicId = basicId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public AssetImpowerReq(Long id, Long tableId, Long basicId, Long deptId, Long userId) {
        this.id = id;
        this.tableId = tableId;
        this.basicId = basicId;
        this.deptId = deptId;
        this.userId = userId;
    }

    /**
     * 接入id
     */
    @Excel(name = "接入id")
    private Long basicId;

    /**
     * 部门id
     */
    @Excel(name = "部门id")
    private Long deptId;

    /**
     * 用户id
     */
    @Excel(name = "用户id")
    private Long userId;

}
